%global momorel 1

%define priority	66
%define fontname	vlgothic
%define	archivename	VLGothic-%{version}
%define	fontconf	%{priority}-%{fontname}
%define	common_desc	\
VLGothic provides Japanese TrueType fonts from the Vine Linux project.\
Most of the glyphs are taken from the M+ and Sazanami Gothic fonts,\
but some have also been improved by the project.

Name:		%{fontname}-fonts
Version:	20090710
Release:	%{momorel}m%{?dist}
Summary:	Japanese TrueType font

License:	"mplus" and Modified BSD
Group:		User Interface/X
URL:		http://dicey.org/vlgothic
Source0:	http://dl.sourceforge.jp/vlgothic/41233/%{archivename}.tar.bz2
NoSource:	0
Source1:	%{fontname}-fontconfig-pgothic.conf
Source2:	%{fontname}-fontconfig-gothic.conf
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:	fontpackages-devel

Requires:	%{name}-common = %{version}-%{release}
Obsoletes:	VLGothic-fonts < 20090422-1m
Provides:	VLGothic-fonts = %{version}-%{release}
%description
%common_desc

This package provides the monospace VLGothic font.

%package	common
Summary:	Common files for VLGothic Japanese TrueType fonts
Group:		User Interface/X
Requires:	fontpackages-filesystem

%description	common
%common_desc

This package consists of files used by other %{name} packages.

%package -n	%{fontname}-p-fonts
Summary:	Proportional Japanese TrueType font
Group:		User Interface/X
Requires:	%{name}-common = %{version}-%{release}
Obsoletes:	VLGothic-fonts-proportional < 20090422-1m
Provides:	VLGothic-fonts-proportional = %{version}-%{release}

%description -n	%{fontname}-p-fonts
%common_desc

This package provides the VLGothic font with proportional glyphs for some
non-Japanese characters.

%prep
%setup -q -n VLGothic


%build
%{nil}


%install
rm -rf $RPM_BUILD_ROOT

install -m 0755 -d $RPM_BUILD_ROOT%{_fontdir}
install -m 0644 -p *.ttf $RPM_BUILD_ROOT%{_fontdir}

install -m 0755 -d	$RPM_BUILD_ROOT%{_fontconfig_templatedir} \
	 		$RPM_BUILD_ROOT%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} $RPM_BUILD_ROOT%{_fontconfig_templatedir}/%{fontconf}-pgothic.conf
install -m 0644 -p %{SOURCE2} $RPM_BUILD_ROOT%{_fontconfig_templatedir}/%{fontconf}-gothic.conf

for fconf in %{fontconf}-pgothic.conf %{fontconf}-gothic.conf; do
	ln -s %{_fontconfig_templatedir}/$fconf $RPM_BUILD_ROOT%{_fontconfig_confdir}/$fconf
done


%clean
rm -rf ${RPM_BUILD_ROOT}


%files common
%defattr(0644, root, root, 0755)
%doc README* LICENSE*
%dir %{_fontdir}

%_font_pkg -f %{fontconf}-gothic.conf VL-Gothic-Regular.ttf

%_font_pkg -n p -f %{fontconf}-pgothic.conf VL-PGothic-Regular.ttf


%changelog
* Thu Jul 16 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (20090710-1m)
- update to 20090710

* Sat Jun 27 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (20090612-1m)
- update to 20090612

* Tue May 19 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (20090422-3m)
- rebuild against fontpackages-1.20-2m

* Fri May 15 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (20090422-2m)
- rebuild against rpm-4.7.0-7m

* Sat Apr 26 2009 Masahiro Takahata <takahata@momonga-linux.org>
- (20090422-1m)
- sync Fedora

* Fri Feb  6 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (20090204-1m)
- update to 20090204
- License: "mplus" and Modified BSD

* Fri Jan 23 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (20090108-3m)
- rebuild against fontpackages-filesystem

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (20090108-2m)
- rebuild against rpm-4.6

* Tue Jan 13 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (20090108-1m)
- update 20090108

* Mon Dec  8 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (20081203-1m)
- update 20081203

* Mon Nov 24 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (20081124-1m)
- update 20081124

* Wed Oct 29 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (20081029-1m)
- update 20081029

* Mon Sep  8 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (20080908-1m)
- update 20080908

* Fri Sep  5 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (20080705-2m)
- move VL fonts configurations to fontconfig

* Sat Jul  5 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (20080705-1m)
- update to 20080705

* Sat Jun 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (20080610-1m)
- update to 20080610

* Mon May 12 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (20080429-1m)
- update to 20080429

* Mon Apr 21 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (20080420-1m)
- update to 20080420
- remove japanese description

* Sun Apr 20 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (20080327-1m)
- update to 20080327

* Sun Apr 20 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (20071215-1m)
- import from Fedora

* Thu Jan 17 2008 Jens Petersen <petersen@redhat.com> - 20071215-2
- move monospace font to main package and obsolete monospace subpackage
- rename sans subpackage to proportional and obsolete sans subpackage
- use a separate font dir for the proportional font subpackage
- add fc-cache scriptlets
- drop the docs subpackage
- use fontname, fontdir, and fontconfdir macros
- improve summaries and descriptions
- do not require fontconfig
- drop VLGothic obsoletes and provides

* Sat Jan 12 2008 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 20071215-1
- Update to 20071215

* Thu Oct 18 2007 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 20071015-2
- Rename the font directory.
- Fix font selection problem in Flash 9.
- Make it remove the old configuration files on updating.

* Thu Oct 18 2007 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 20071015-1
- Update to 20071015
- Make it separated into subpackages

* Sat Sep 09 2007 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 20070901-1
- Update to 20070901

* Sat Jun 02 2007 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 20070507-1
- Update to 20070507

* Sun Apr 22 2007 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 20070328-1
- Update to 20070328

* Wed Jan 03 2007 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 20070101-1
- Update to 20070101

* Sun Dec 10 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 20061026-5
- Decrease the priority of the VLGothic fonts lower than DejaVu fonts.
- Now config files are replaced by every updating.

* Wed Nov 29 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 20061026-4
- Fix the mistyped dist tag.

* Sat Nov 18 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 20061026-3
- Modify the specfile along with the Fedora Extras packaging policy.

* Sun Nov 12 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 20061026-2
- Modify the specfile.

* Sun Nov 12 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 20061026-1
- Preparing for Fedora Extras.

* Sat Oct 28 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 20061021-2
- Update to 20061021.

* Tue Sep 19 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 20060913-2
- Update to 20060913.

* Thu Aug 31 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 20060831-1
- Initial packaging.
